Package be.fgov.ehealth.errors.core.v1

# Class ErrorType

java.lang.Object
be.fgov.ehealth.errors.core.v1.ErrorType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ServiceErrorType`, `SOAErrorType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class ErrorType extends Object implements Serializable
Basic information on Error.

Java class for ErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Origin" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{urn:be:fgov:ehealth:errors:core:v1}LocalisedStringType" maxOccurs="unbounded"/>
             <element name="Retry" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Contact" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getContact()`
  Gets the value of the contact property.
  `String`
  `getId()`
  Unique number identifying this message.
  `List<LocalisedStringType>`
  `getMessages()`
  Gets the value of the messages property.
  `String`
  `getOrigin()`
  The component/party that is at the cause of the error: consumer or provider, client or server.
  `Boolean`
  `isRetry()`
  Gets the value of the retry property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setContact(String value)`
  Sets the value of the contact property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setOrigin(String value)`
  Sets the value of the origin property.
  `void`
  `setRetry(Boolean value)`
  Sets the value of the retry property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorType

    public ErrorType()

- ## Method Details

  - ### getOrigin

    public String getOrigin()
    The component/party that is at the cause of the error: consumer or provider, client or server.
    Returns:
      possible object is `String`

  - ### setOrigin

    public void setOrigin(String value)
    Sets the value of the origin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getOrigin()`

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessages

    public List<LocalisedStringType> getMessages()
    Gets the value of the messages property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

    For example, to add a new item, do as follows:

         getMessages().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalisedStringType`

    Returns:
      The value of the messages property.

  - ### isRetry

    public Boolean isRetry()
    Gets the value of the retry property.
    Returns:
      possible object is `Boolean`

  - ### setRetry

    public void setRetry(Boolean value)
    Sets the value of the retry property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getContact

    public String getContact()
    Gets the value of the contact property.
    Returns:
      possible object is `String`

  - ### setContact

    public void setContact(String value)
    Sets the value of the contact property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Unique number identifying this message. If present, the ticket that was created for the client's request, leading to this Error, should be placed here. Then this id can be used to trace back the message from request to response.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`